Subject: [mpls] Benjamin Kaduk's No Objection on draft-ietf-mpls-ldp-yang-08: (with COMMENT)

From: Benjamin Kaduk via Datatracker <[email-masked]>
Date: Thu, 19 Mar 2020 09:14:44 -0700

Benjamin Kaduk has entered the following ballot position for
draft-ietf-mpls-ldp-yang-08: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mpls-ldp-yang/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for the updates in the -08.
While many of us are uneasy about relegating IPv6 support to be an
"extended feature", the new structure places IPv4 and IPv6 (when present)
as siblings, and it's clear that LDPv6 just isn't very widely deployed at the moment,
so this status is tolerable.

I'm still concerned that the semantics of the "password" field (even though there
is an associated algorithm-type) are not clearly specified, but I've been persuaded
to reduce that from a Discuss point to just a Comment.  I'm coming at this from the
mindset where the YANG model is a multi-vendor abstraction that gives me a unified
configuration interface across all my systems, and takes care of mapping the standardized
parameters to the local configuration state.  When TCP-MD5 or TCP-AO is in use, I fully
expect the actual key material to be managed by some automated system, so that the
human operator is not in the normal path for configuring the key material, but it still
seems like the key-management infrastructure should have a single understanding for
what "the key material" is, and be able to pass that directly to the YANG-based control
surface and have things work, regardless of which vendor implementation is in use.
The current specification and discussion of how the TCP-MD5 config is per-vendor makes
me concerned that the YANG abstraction will be "leaky", in that (e.g.) some vendors won't
let me configure a binary key, or I'll need to use a differently formatted string for one device
vs. another.